Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List states

GET/workspaces/{organizationId}/states
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

States list

statesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
linearIdstringrequired
namestringrequired
typestringrequired
colorstring | nullrequired
positionstring | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/states' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "states": [
    {
      "id": "string",
      "organizationId": "string",
      "linearId": "string",
      "name": "string",
      "type": "string",
      "color": "string",
      "position": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?